.b-filters {
  position: relative;
  overflow: hidden;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  height: 0;
  z-index: 0s 0.5s;
  -webkit-box-flex: 0;
  -webkit-flex-grow: 0;
  -ms-flex-positive: 0;
  flex-grow: 0;
}
.b-filters {
  -webkit-transition: opacity 0.5s ease, -webkit-transform 0.5s ease;
  transition: opacity 0.5s ease, transform 0.5s ease;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
._filters .b-filters {
  overflow: visible;
  height: auto;
  max-height: 80vh;
}
._filters .b-filters {
  -webkit-transition: opacity 0.5s ease 0.2s, -webkit-transform 0.5s ease 0.2s;
  transition: opacity 0.5s ease 0.2s, transform 0.5s ease 0.2s;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
.b-filters._scroll {
  overflow: auto;
}
.b-filters_cr {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  height: 100%;
  padding: 16px 24px 24px;
}
.b-filters div#clientEntity_element,
.b-filters div#recordEntity_element,
.b-filters div#salesEntity_element,
.b-filters div#abonementEntity_element {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  min-width: 1px;
  min-height: 1px;
  padding-left: 8px;
}
.b-filters-preloader {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  background: rgba(255,255,255,0.8);
  display: none;
}
.disabled .b-filters-preloader {
  display: block;
}
.b-filters-preloader .t-preloader {
  font-size: 40px;
}
.b-filters #clientEntity_element .element#date,
.b-filters #recordEntity_element .element#date,
.b-filters #abonementEntity_element .element#date,
.b-filters #clientEntity_element .element#active_from,
.b-filters #recordEntity_element .element#active_from,
.b-filters #abonementEntity_element .element#active_from,
.b-filters #clientEntity_element .element#active_till,
.b-filters #recordEntity_element .element#active_till,
.b-filters #abonementEntity_element .element#active_till,
.b-filters #clientEntity_element .element#last_appointment_date_min,
.b-filters #recordEntity_element .element#last_appointment_date_min,
.b-filters #abonementEntity_element .element#last_appointment_date_min,
.b-filters #clientEntity_element .element#last_appointment_date_max,
.b-filters #recordEntity_element .element#last_appointment_date_max,
.b-filters #abonementEntity_element .element#first_appointment_date_max,
.b-filters #clientEntity_element .element#first_appointment_date_min,
.b-filters #recordEntity_element .element#first_appointment_date_min,
.b-filters #abonementEntity_element .element#first_appointment_date_min,
.b-filters #clientEntity_element .element#first_appointment_date_max,
.b-filters #recordEntity_element .element#first_appointment_date_max,
.b-filters #abonementEntity_element .element#first_appointment_date_max {
  width: 224px;
}



.b-notification .element#client_id .element_clear,
.b-filters #clientEntity_element .element#date .element_clear,
.b-filters #recordEntity_element .element#date .element_clear,
.b-filters #abonementEntity_element .element#date .element_clear,
.b-filters #clientEntity_element .element#active_from .element_clear,
.b-filters #recordEntity_element .element#active_from .element_clear,
.b-filters #abonementEntity_element .element#active_from .element_clear,
.b-filters #clientEntity_element .element#active_till .element_clear,
.b-filters #recordEntity_element .element#active_till .element_clear,
.b-filters #abonementEntity_element .element#active_till .element_clear,
.b-filters #clientEntity_element .element#last_appointment_date_min .element_clear,
.b-filters #recordEntity_element .element#last_appointment_date_min .element_clear,
.b-filters #abonementEntity_element .element#last_appointment_date_min .element_clear,
.b-filters #clientEntity_element .element#last_appointment_date_max .element_clear,
.b-filters #recordEntity_element .element#last_appointment_date_max .element_clear,
.b-filters #abonementEntity_element .element#last_appointment_date_max .element_clear,
.b-filters #clientEntity_element .element#first_appointment_date_min .element_clear,
.b-filters #recordEntity_element .element#first_appointment_date_min .element_clear,
.b-filters #abonementEntity_element .element#first_appointment_date_min .element_clear,
.b-filters #clientEntity_element .element#lfirst_appointment_date_max .element_clear,
.b-filters #recordEntity_element .element#first_appointment_date_max .element_clear,
.b-filters #abonementEntity_element .element#first_appointment_date_max .element_clear {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: absolute;
  top: 0;
  right: 40px;
  height: 45px;
  width: 40px;
}
.b-notification .element#client_id .element_clear::before,
.b-filters #clientEntity_element .element#date .element_clear::before,
.b-filters #recordEntity_element .element#date .element_clear::before,
.b-filters #abonementEntity_element .element#date .element_clear::before,
.b-filters #clientEntity_element .element#active_from .element_clear::before,
.b-filters #recordEntity_element .element#active_from .element_clear::before,
.b-filters #abonementEntity_element .element#active_from .element_clear::before,
.b-filters #clientEntity_element .element#active_till .element_clear::before,
.b-filters #recordEntity_element .element#active_till .element_clear::before,
.b-filters #abonementEntity_element .element#active_till .element_clear::before,
.b-filters #clientEntity_element .element#last_appointment_date_min .element_clear::before,
.b-filters #recordEntity_element .element#last_appointment_date_min .element_clear::before,
.b-filters #abonementEntity_element .element#last_appointment_date_min .element_clear::before,
.b-filters #clientEntity_element .element#last_appointment_date_max .element_clear::before,
.b-filters #recordEntity_element .element#last_appointment_date_max .element_clear::before,
.b-filters #abonementEntity_element .element#last_appointment_date_max .element_clear::before,
.b-filters #clientEntity_element .element#first_appointment_date_min .element_clear::before,
.b-filters #recordEntity_element .element#first_appointment_date_min .element_clear::before,
.b-filters #abonementEntity_element .element#first_appointment_date_min .element_clear::before,
.b-filters #clientEntity_element .element#first_appointment_date_max .element_clear::before,
.b-filters #recordEntity_element .element#first_appointment_date_max .element_clear::before,
.b-filters #abonementEntity_element .element#first_appointment_date_max .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}
.b-notification .element#client_id .element_clear::after,
.b-filters #clientEntity_element .element#date .element_clear::after,
.b-filters #recordEntity_element .element#date .element_clear::after,
.b-filters #abonementEntity_element .element#date .element_clear::after,
.b-filters #clientEntity_element .element#active_from .element_clear::after,
.b-filters #recordEntity_element .element#active_from .element_clear::after,
.b-filters #abonementEntity_element .element#active_from .element_clear::after,
.b-filters #clientEntity_element .element#active_till .element_clear::after,
.b-filters #recordEntity_element .element#active_till .element_clear::after,
.b-filters #abonementEntity_element .element#active_till .element_clear::after,
.b-filters #clientEntity_element .element#last_appointment_date_min .element_clear::after,
.b-filters #recordEntity_element .element#last_appointment_date_min .element_clear::after,
.b-filters #abonementEntity_element .element#last_appointment_date_min .element_clear::after,
.b-filters #clientEntity_element .element#last_appointment_date_max .element_clear::after,
.b-filters #recordEntity_element .element#last_appointment_date_max .element_clear::after,
.b-filters #abonementEntity_element .element#last_appointment_date_max .element_clear::after,
.b-filters #clientEntity_element .element#first_appointment_date_min .element_clear::after,
.b-filters #recordEntity_element .element#first_appointment_date_min .element_clear::after,
.b-filters #abonementEntity_element .element#first_appointment_date_min .element_clear::after,
.b-filters #clientEntity_element .element#first_appointment_date_max .element_clear::after,
.b-filters #recordEntity_element .element#first_appointment_date_max .element_clear::after,
.b-filters #abonementEntity_element .element#first_appointment_date_max .element_clear::after {
  position: absolute;
  top: 10px;
  right: 0;
  width: 1px;
  height: 25px;
  content: ' ';
  background: #d8d8d8;
}
.b-notification .element#client_id .element_clear:active::before,
.b-filters #clientEntity_element .element#date .element_clear:active::before,
.b-filters #recordEntity_element .element#date .element_clear:active::before,
.b-filters #abonementEntity_element .element#date .element_clear:active::before,
.b-filters #clientEntity_element .element#active_from .element_clear:active::before,
.b-filters #recordEntity_element .element#active_from .element_clear:active::before,
.b-filters #abonementEntity_element .element#active_from .element_clear:active::before,
.b-filters #clientEntity_element .element#active_till .element_clear:active::before,
.b-filters #recordEntity_element .element#active_till .element_clear:active::before,
.b-filters #abonementEntity_element .element#active_till .element_clear:active::before,
.b-filters #clientEntity_element .element#last_appointment_date_min .element_clear:active::before,
.b-filters #recordEntity_element .element#last_appointment_date_min .element_clear:active::before,
.b-filters #abonementEntity_element .element#last_appointment_date_min .element_clear:active::before,
.b-filters #clientEntity_element .element#last_appointment_date_max .element_clear:active::before,
.b-filters #recordEntity_element .element#last_appointment_date_max .element_clear:active::before,
.b-filters #abonementEntity_element .element#last_appointment_date_max .element_clear:active::before,
.b-filters #clientEntity_element .element#first_appointment_date_min .element_clear:active::before,
.b-filters #recordEntity_element .element#first_appointment_date_min .element_clear:active::before,
.b-filters #abonementEntity_element .element#first_appointment_date_min .element_clear:active::before,
.b-filters #clientEntity_element .element#first_appointment_date_max .element_clear:active::before,
.b-filters #recordEntity_element .element#first_appointment_date_max .element_clear:active::before,
.b-filters #abonementEntity_element .element#first_appointment_date_max .element_clear:active::before {
  padding-top: 1px;
}

.b-notification .element#client_id .element_clear._hidden,
.b-filters #clientEntity_element .element#date .element_clear._hidden,
.b-filters #recordEntity_element .element#date .element_clear._hidden,
.b-filters #abonementEntity_element .element#date .element_clear._hidden,
.b-filters #clientEntity_element .element#active_from .element_clear._hidden,
.b-filters #recordEntity_element .element#active_from .element_clear._hidden,
.b-filters #abonementEntity_element .element#active_from .element_clear._hidden,
.b-filters #clientEntity_element .element#active_till .element_clear._hidden,
.b-filters #recordEntity_element .element#active_till .element_clear._hidden,
.b-filters #abonementEntity_element .element#active_till .element_clear._hidden,
.b-filters #clientEntity_element .element#last_appointment_date_min .element_clear._hidden,
.b-filters #recordEntity_element .element#last_appointment_date_min .element_clear._hidden,
.b-filters #abonementEntity_element .element#last_appointment_date_min .element_clear._hidden,
.b-filters #clientEntity_element .element#last_appointment_date_max .element_clear._hidden,
.b-filters #recordEntity_element .element#last_appointment_date_max .element_clear._hidden,
.b-filters #abonementEntity_element .element#last_appointment_date_max .element_clear._hidden,
.b-filters #clientEntity_element .element#first_appointment_date_min .element_clear._hidden,
.b-filters #recordEntity_element .element#first_appointment_date_min .element_clear._hidden,
.b-filters #abonementEntity_element .element#first_appointment_date_min .element_clear._hidden,
.b-filters #clientEntity_element .element#first_appointment_date_max .element_clear._hidden,
.b-filters #recordEntity_element .element#first_appointment_date_max .element_clear._hidden,
.b-filters #abonementEntity_element .element#first_appointment_date_max .element_clear._hidden {
  display: none;
}
.b-filters #clientEntity_element .element#active_from,
.b-filters #recordEntity_element .element#active_from,
.b-filters #abonementEntity_element .element#active_from {
  width: 320px;
}
.b-filters #clientEntity_element .element#sortAC,
.b-filters #recordEntity_element .element#sortAC,
.b-filters #abonementEntity_element .element#sortAC {
  width: 200px;
}
.b-filters #clientEntity_element .element#abonement_id,
.b-filters #recordEntity_element .element#abonement_id,
.b-filters #abonementEntity_element .element#abonement_id {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  min-width: 1px;
  min-height: 1px;
}
.b-filters #clientEntity_element .element#abonement_id .element_clear,
.b-filters #recordEntity_element .element#abonement_id .element_clear,
.b-filters #abonementEntity_element .element#abonement_id .element_clear {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: absolute;
  top: 0;
  right: 40px;
  height: 45px;
  width: 40px;
}
.b-filters #clientEntity_element .element#abonement_id .element_clear::before,
.b-filters #recordEntity_element .element#abonement_id .element_clear::before,
.b-filters #abonementEntity_element .element#abonement_id .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}
.b-filters #clientEntity_element .element#abonement_id .element_clear::after,
.b-filters #recordEntity_element .element#abonement_id .element_clear::after,
.b-filters #abonementEntity_element .element#abonement_id .element_clear::after {
  position: absolute;
  top: 10px;
  right: 0;
  width: 1px;
  height: 25px;
  content: ' ';
  background: #d8d8d8;
}
.b-filters #clientEntity_element .element#abonement_id .element_clear:active::before,
.b-filters #recordEntity_element .element#abonement_id .element_clear:active::before,
.b-filters #abonementEntity_element .element#abonement_id .element_clear:active::before {
  padding-top: 1px;
}
.b-filters #clientEntity_element .element#abonement_id .element_clear._hidden,
.b-filters #recordEntity_element .element#abonement_id .element_clear._hidden,
.b-filters #abonementEntity_element .element#abonement_id .element_clear._hidden {
  display: none;
}
.b-filters #clientEntity_element .element#name,
.b-filters #recordEntity_element .element#name,
.b-filters #abonementEntity_element .element#name,
.b-filters #clientEntity_element .element#service,
.b-filters #recordEntity_element .element#service,
.b-filters #abonementEntity_element .element#service {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  min-width: 1px;
  min-height: 1px;
}
.b-filters #clientEntity_element .element#name .element_cr::after,
.b-filters #recordEntity_element .element#name .element_cr::after,
.b-filters #abonementEntity_element .element#name .element_cr::after,
.b-filters #clientEntity_element .element#service .element_cr::after,
.b-filters #recordEntity_element .element#service .element_cr::after,
.b-filters #abonementEntity_element .element#service .element_cr::after {
  display: none;
}
.b-filters #clientEntity_element .element#name .element_preloader::after,
.b-filters #recordEntity_element .element#name .element_preloader::after,
.b-filters #abonementEntity_element .element#name .element_preloader::after,
.b-filters #clientEntity_element .element#service .element_preloader::after,
.b-filters #recordEntity_element .element#service .element_preloader::after,
.b-filters #abonementEntity_element .element#service .element_preloader::after {
  width: 40px;
  font-size: 20px;
  margin-top: -10px;
  color: #b2b2b2;
}
.b-filters #clientEntity_element .element#name .element_search,
.b-filters #recordEntity_element .element#name .element_search,
.b-filters #abonementEntity_element .element#name .element_search,
.b-filters #clientEntity_element .element#service .element_search,
.b-filters #recordEntity_element .element#service .element_search,
.b-filters #abonementEntity_element .element#service .element_search {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: absolute;
  top: 0;
  right: 0;
  height: 45px;
  width: 40px;
}
.b-filters #clientEntity_element .element#name .element_search::before,
.b-filters #recordEntity_element .element#name .element_search::before,
.b-filters #abonementEntity_element .element#name .element_search::before,
.b-filters #clientEntity_element .element#service .element_search::before,
.b-filters #recordEntity_element .element#service .element_search::before,
.b-filters #abonementEntity_element .element#service .element_search::before {
  content: '\e60a';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  text-align: center;
  font-size: 24px;
  line-height: 2px;
}
body .b-filters #clientEntity_element .element#name .element_search::before,
body .b-filters #recordEntity_element .element#name .element_search::before,
body .b-filters #abonementEntity_element .element#name .element_search::before,
body .b-filters #clientEntity_element .element#service .element_search::before,
body .b-filters #recordEntity_element .element#service .element_search::before,
body .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
body._beauty .b-filters #clientEntity_element .element#name .element_search::before,
body._beauty .b-filters #recordEntity_element .element#name .element_search::before,
body._beauty .b-filters #abonementEntity_element .element#name .element_search::before,
body._beauty .b-filters #clientEntity_element .element#service .element_search::before,
body._beauty .b-filters #recordEntity_element .element#service .element_search::before,
body._beauty .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
body._health .b-filters #clientEntity_element .element#name .element_search::before,
body._health .b-filters #recordEntity_element .element#name .element_search::before,
body._health .b-filters #abonementEntity_element .element#name .element_search::before,
body._health .b-filters #clientEntity_element .element#service .element_search::before,
body._health .b-filters #recordEntity_element .element#service .element_search::before,
body._health .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
body._smile .b-filters #clientEntity_element .element#name .element_search::before,
body._smile .b-filters #recordEntity_element .element#name .element_search::before,
body._smile .b-filters #abonementEntity_element .element#name .element_search::before,
body._smile .b-filters #clientEntity_element .element#service .element_search::before,
body._smile .b-filters #recordEntity_element .element#service .element_search::before,
body._smile .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
body._happiness .b-filters #clientEntity_element .element#name .element_search::before,
body._happiness .b-filters #recordEntity_element .element#name .element_search::before,
body._happiness .b-filters #abonementEntity_element .element#name .element_search::before,
body._happiness .b-filters #clientEntity_element .element#service .element_search::before,
body._happiness .b-filters #recordEntity_element .element#service .element_search::before,
body._happiness .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
body._velocity .b-filters #clientEntity_element .element#name .element_search::before,
body._velocity .b-filters #recordEntity_element .element#name .element_search::before,
body._velocity .b-filters #abonementEntity_element .element#name .element_search::before,
body._velocity .b-filters #clientEntity_element .element#service .element_search::before,
body._velocity .b-filters #recordEntity_element .element#service .element_search::before,
body._velocity .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
body._friend .b-filters #clientEntity_element .element#name .element_search::before,
body._friend .b-filters #recordEntity_element .element#name .element_search::before,
body._friend .b-filters #abonementEntity_element .element#name .element_search::before,
body._friend .b-filters #clientEntity_element .element#service .element_search::before,
body._friend .b-filters #recordEntity_element .element#service .element_search::before,
body._friend .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
body._strength .b-filters #clientEntity_element .element#name .element_search::before,
body._strength .b-filters #recordEntity_element .element#name .element_search::before,
body._strength .b-filters #abonementEntity_element .element#name .element_search::before,
body._strength .b-filters #clientEntity_element .element#service .element_search::before,
body._strength .b-filters #recordEntity_element .element#service .element_search::before,
body._strength .b-filters #abonementEntity_element .element#service .element_search::before {
  color: var(--versioncolor);
}
.b-filters #clientEntity_element .element#name .element_search:active::before,
.b-filters #recordEntity_element .element#name .element_search:active::before,
.b-filters #abonementEntity_element .element#name .element_search:active::before,
.b-filters #clientEntity_element .element#service .element_search:active::before,
.b-filters #recordEntity_element .element#service .element_search:active::before,
.b-filters #abonementEntity_element .element#service .element_search:active::before {
  padding-top: 1px;
}
.b-filters #clientEntity_element .element#name .element_search._hidden,
.b-filters #recordEntity_element .element#name .element_search._hidden,
.b-filters #abonementEntity_element .element#name .element_search._hidden,
.b-filters #clientEntity_element .element#service .element_search._hidden,
.b-filters #recordEntity_element .element#service .element_search._hidden,
.b-filters #abonementEntity_element .element#service .element_search._hidden {
  display: none;
}
.b-filters #clientEntity_element .element#name._preloader .element_search::before,
.b-filters #recordEntity_element .element#name._preloader .element_search::before,
.b-filters #abonementEntity_element .element#name._preloader .element_search::before,
.b-filters #clientEntity_element .element#service._preloader .element_search::before,
.b-filters #recordEntity_element .element#service._preloader .element_search::before,
.b-filters #abonementEntity_element .element#service._preloader .element_search::before {
  opacity: 0;
}
.b-filters #clientEntity_element .element#name .element_clear,
.b-filters #recordEntity_element .element#name .element_clear,
.b-filters #abonementEntity_element .element#name .element_clear,
.b-filters #clientEntity_element .element#service .element_clear,
.b-filters #recordEntity_element .element#service .element_clear,
.b-filters #abonementEntity_element .element#service .element_clear {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: absolute;
  top: 0;
  right: 40px;
  height: 45px;
  width: 40px;
}
.b-filters #clientEntity_element .element#name .element_clear::before,
.b-filters #recordEntity_element .element#name .element_clear::before,
.b-filters #abonementEntity_element .element#name .element_clear::before,
.b-filters #clientEntity_element .element#service .element_clear::before,
.b-filters #recordEntity_element .element#service .element_clear::before,
.b-filters #abonementEntity_element .element#service .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}
.b-filters #clientEntity_element .element#name .element_clear::after,
.b-filters #recordEntity_element .element#name .element_clear::after,
.b-filters #abonementEntity_element .element#name .element_clear::after,
.b-filters #clientEntity_element .element#service .element_clear::after,
.b-filters #recordEntity_element .element#service .element_clear::after,
.b-filters #abonementEntity_element .element#service .element_clear::after {
  position: absolute;
  top: 10px;
  right: 0;
  width: 1px;
  height: 25px;
  content: ' ';
  background: #d8d8d8;
}



#addEditAppointment .element#service_groups .element_clear {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: absolute;
  top: 0;
  right: 40px;
  height: 45px;
  width: 40px;
}


#addEditAppointment .element#service_groups .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}


#addEditAppointment .element#service_groups .element_clear::after {
  position: absolute;
  top: 10px;
  right: 0;
  width: 1px;
  height: 25px;
  content: ' ';
  background: #d8d8d8;
}



.b-filters #clientEntity_element .element#name .element_clear:active::before,
.b-filters #recordEntity_element .element#name .element_clear:active::before,
.b-filters #abonementEntity_element .element#name .element_clear:active::before,
.b-filters #clientEntity_element .element#service .element_clear:active::before,
.b-filters #recordEntity_element .element#service .element_clear:active::before,
.b-filters #abonementEntity_element .element#service .element_clear:active::before {
  padding-top: 1px;
}
.b-filters #clientEntity_element .element#name .element_clear._hidden,
.b-filters #recordEntity_element .element#name .element_clear._hidden,
.b-filters #abonementEntity_element .element#name .element_clear._hidden,
.b-filters #clientEntity_element .element#service .element_clear._hidden,
.b-filters #recordEntity_element .element#service .element_clear._hidden,
.b-filters #abonementEntity_element .element#service .element_clear._hidden {
  display: none;
}
.b-filters #clientEntity_element_fix,
.b-filters #recordEntity_element_fix,
.b-filters #abonementEntity_element_fix {
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 0 !important;
}
.b-filters #clientEntity_element .element#sex,
.b-filters #recordEntity_element .element#sex,
.b-filters #abonementEntity_element .element#sex {
  width: 135px;
}
.b-filters #clientEntity_element .element#client_groups,
.b-filters #recordEntity_element .element#client_groups,
.b-filters #abonementEntity_element .element#client_groups {
  -webkit-flex-shrink: 1;
  -ms-flex-negative: 1;
  flex-shrink: 1;
}
.b-filters #clientEntity_element .element#lead_source,
.b-filters #recordEntity_element .element#lead_source,
.b-filters #abonementEntity_element .element#lead_source {
  -webkit-flex-shrink: 1;
  -ms-flex-negative: 1;
  flex-shrink: 1;
}
.b-filters #clientEntity_element .element#appointment_count_min .element_label,
.b-filters #recordEntity_element .element#appointment_count_min .element_label,
.b-filters #abonementEntity_element .element#appointment_count_min .element_label {
  text-align: right;
}
.b-filters #clientEntity_element .element#appointment_count_min .element_field,
.b-filters #recordEntity_element .element#appointment_count_min .element_field,
.b-filters #abonementEntity_element .element#appointment_count_min .element_field {
  width: 64px;
}
.b-filters #clientEntity_element .element#appointment_count_max,
.b-filters #recordEntity_element .element#appointment_count_max,
.b-filters #abonementEntity_element .element#appointment_count_max {
  padding-left: 0;
}
.b-filters #clientEntity_element .element#appointment_count_max .element_field,
.b-filters #recordEntity_element .element#appointment_count_max .element_field,
.b-filters #abonementEntity_element .element#appointment_count_max .element_field {
  width: 64px;
}
.b-filters #clientEntity_element .element#last_appointment_date_min,
.b-filters #recordEntity_element .element#last_appointment_date_min,
.b-filters #abonementEntity_element .element#last_appointment_date_min {
  width: auto;
}
.b-filters #clientEntity_element .element#last_appointment_date_min .element_label,
.b-filters #recordEntity_element .element#last_appointment_date_min .element_label,
.b-filters #abonementEntity_element .element#last_appointment_date_min .element_label {
  text-align: right;
}
.b-filters #clientEntity_element .element#last_appointment_date_min .element_field,
.b-filters #recordEntity_element .element#last_appointment_date_min .element_field,
.b-filters #abonementEntity_element .element#last_appointment_date_min .element_field {
  width: 164px;
}
.b-filters #clientEntity_element .element#last_appointment_date_max,
.b-filters #recordEntity_element .element#last_appointment_date_max,
.b-filters #abonementEntity_element .element#last_appointment_date_max {
  padding-left: 0;
  width: auto;
}
.b-filters #clientEntity_element .element#last_appointment_date_max .element_field,
.b-filters #recordEntity_element .element#last_appointment_date_max .element_field,
.b-filters #abonementEntity_element .element#last_appointment_date_max .element_field {
  width: 164px;
}

.b-filters #clientEntity_element .element#first_appointment_date_min,
.b-filters #recordEntity_element .element#first_appointment_date_min,
.b-filters #abonementEntity_element .element#first_appointment_date_min {
  width: auto;
}
.b-filters #clientEntity_element .element#first_appointment_date_min .element_label,
.b-filters #recordEntity_element .element#first_appointment_date_min .element_label,
.b-filters #abonementEntity_element .element#first_appointment_date_min .element_label {
  text-align: right;
}
.b-filters #clientEntity_element .element#first_appointment_date_min .element_field,
.b-filters #recordEntity_element .element#first_appointment_date_min .element_field,
.b-filters #abonementEntity_element .element#first_appointment_date_min .element_field {
  width: 164px;
}
.b-filters #clientEntity_element .element#first_appointment_date_max,
.b-filters #recordEntity_element .element#first_appointment_date_max,
.b-filters #abonementEntity_element .element#first_appointment_date_max {
  padding-left: 0;
  width: auto;
}
.b-filters #clientEntity_element .element#first_appointment_date_max .element_field,
.b-filters #recordEntity_element .element#first_appointment_date_max .element_field,
.b-filters #abonementEntity_element .element#first_appointment_date_max .element_field {
  width: 164px;
}
#extendedEntity_element .element .element_label {
  padding-left: 0;
}
#extendedEntity_element .element._fullWidth {
  width: 100%;
  padding-right: 16px;
}
#extendedEntity_element .element._flexWidth {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 auto;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  min-width: 1px;
  min-height: 1px;
}
#extendedEntity_element .element._flexWidth_2 {
  -webkit-box-flex: 2;
  -webkit-flex: 2 1 auto;
  -ms-flex: 2 1 auto;
  flex: 2 1 auto;
  min-width: 1px;
  min-height: 1px;
}
#extendedEntity_element .element._fixedLabel .element_label {
  text-align: right;
  width: 120px;
  -webkit-box-pack: end;
  -webkit-justify-content: flex-end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  padding-left: 0;
}
#extendedEntity_element .element._fixedWidth .element_cr {
  width: 164px;
}
#extendedEntity_element .element._clear .element_clear {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: absolute;
  top: 0;
  right: 40px;
  height: 45px;
  width: 40px;
}

#salesEntity_element .element._clear .element_clear {
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  position: absolute;
  top: 0;
  right: 40px;
  height: 45px;
  width: 40px;
}

#extendedEntity_element .element._clear .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}
#salesEntity_element .element._clear .element_clear::before {
  content: '\e60e';
  font-family: 'clientix-icons';
  vertical-align: bottom;
  text-decoration: none;
  text-transform: none;
  font-weight: normal;
  font-style: normal;
  font-variant: normal;
  speak: none;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  position: absolute;
  top: 50%;
  right: 0;
  left: 0;
  margin: -1px 0 0;
  text-align: center;
  color: #8f979b;
  font-size: 16px;
  line-height: 2px;
}
#extendedEntity_element .element._clear .element_clear::after {
  position: absolute;
  top: 10px;
  right: 0;
  width: 1px;
  height: 25px;
  content: ' ';
  background: #d8d8d8;
}

#salesEntity_element .element._clear .element_clear::after {
  position: absolute;
  top: 10px;
  right: 0;
  width: 1px;
  height: 25px;
  content: ' ';
  background: #d8d8d8;
}
#extendedEntity_element .element._clear .element_clear:active::before {
  padding-top: 1px;
}
#salesEntity_element .element._clear .element_clear:active::before {
  padding-top: 1px;
}
#extendedEntity_element .element._clear .element_clear._hidden {
  display: none;
}
 #salesEntity_element .element._clear .element_clear._hidden {
   padding-top: 1px;
}
#extendedEntity_element .element-autocomplete_ac {
  position: static;
  padding-bottom: 0;
}
